List uploaded files
curl --request GET \
--url https://handauncle-backend-prod-205012263523.asia-south1.run.app/api/v1/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://handauncle-backend-prod-205012263523.asia-south1.run.app/api/v1/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://handauncle-backend-prod-205012263523.asia-south1.run.app/api/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"files": [
{
"fileId": "<string>",
"filename": "<string>",
"mimeType": "<string>",
"size": 123,
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"conversationId": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Files
List Files
GET
/
api
/
v1
/
files
List uploaded files
Lists the caller’s uploads with optional
limit, offset, and
conversationId filters. Each entry includes the stored filename, MIME type,
size, URL, and timestamps.Authorizations
Auth0 access token for registered users.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Limit uploads to a specific conversation.
⌘I